import {
	createStore
} from "vuex";

export default createStore({
	state: {
		token: "",
		command: null,
		dataObj: null,
		transactionNo: null,
		insertStatus: null,
		sokStatus: null
	},
	mutations: {
		setToken(state, data) {
			state.token = data;
		},
		setCommand(state, data) {
			state.command = data;
		},
		setDataObj(state, data) {
			state.dataObj = data;
		},
		setTransactionNo(state, data) {
			state.transactionNo = data;
		},
		setInsertStatus(state, data) {
			state.insertStatus = data;
		},
		setSokStatus(state, data) {
			state.sokStatus = data;
		},
	}
});